Debian Bug report logs - #541109
with ratpoison, changing font makes terminal window unuseable

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Simon Richter <sjr@debian.org>

Date: Tue, 11 Aug 2009 18:51:01 UTC

Severity: important

Found in version xterm/244-1

Fixed in version xterm/244-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, sjr@debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541109; Package xterm. (Tue, 11 Aug 2009 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
New Bug report received and forwarded. Copy sent to sjr@debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 18:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: with ratpoison, changing font makes terminal window unuseable
Date: Tue, 11 Aug 2009 20:49:27 +0200
Package: xterm
Version: 244-1
Severity: important

Starting with today's upgrade, running xterm under ratpoison and changing
the font makes the window unuseable. I suspect that xterm and ratpoison
disagree on the new window size (xterm tries to resize so that the number
of rows and columns is met, and ratpoison then switches the window back to
the largest dimensions that match the size hints that still fit on the
screen).

This cannot be triggered always, but pretty reliably when using a newly
opened shell window.

Symptom is that the prompt that used to be at the top of the window is now
in the middle, no cursor appears behind it, input is processed normally but
no output appears. When switching back to the "Default" font, the contents
appear and the terminal is usable again.

   Simon

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.26-1-powerpc
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xterm depends on:
ii  libc6                  2.9-23            GNU C Library: Shared libraries
ii  libfontconfig1         2.6.0-4           generic font configuration library
ii  libice6                2:1.0.5-1         X11 Inter-Client Exchange library
ii  libncurses5            5.7+20090803-1+b1 shared libraries for terminal hand
ii  libx11-6               2:1.2.2-1         X11 client-side library
ii  libxaw7                2:1.0.6-1         X11 Athena Widget library
ii  libxft2                2.1.13-3          FreeType-based font drawing librar
ii  libxmu6                2:1.0.4-2         X11 miscellaneous utility library
ii  libxt6                 1:1.0.5-3         X11 toolkit intrinsics library
ii  xbitmaps               1.0.1-2           Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+3    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541109; Package xterm. (Tue, 11 Aug 2009 20:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@deuxchevaux.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 20:48:09 GMT) Full text and rfc822 format available.

Message #10 received at 541109@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@deuxchevaux.org>
To: 541109@bugs.debian.org
Cc: Simon Richter <sjr@debian.org>
Subject: Bug#541109: Similar problems with 244-1 and ratpoison here
Date: Tue, 11 Aug 2009 22:44:54 +0200
Hi,

after the upgrade to 244-1 I had similar, but nevertheless different
prooblems here:

Every freshly opened uxterm (no font changing or the like) seemed
empty, completely black, no prompt. After a while I found out that the
prompt was indeed there, but a few lines above the top, so hitting
Enter several times made the prompt visible. Calling "reset" or
"resize" blindly made the xterm working fine again, too.

Downgrading to 243-1 from Squeeze made this and other problems
disappear again.

One thing which may be different to GyrosGeier's setup is that I have
configured a dead area in ratpoison for the panel:

set padding 0 0 0 40

(It means 40 pixels at the bottom.)

I also have set some fonts and other things set via xrdb:

XTerm*Font: fixed
XTerm*font1: -misc-fixed-medium-r-*-*-12-*-*-*-*-60-iso10646-1
XTerm*font2: -misc-fixed-medium-r-*-*-14-*-*-*-*-70-iso10646-1
XTerm*font3: -misc-fixed-medium-r-*-*-15-*-*-*-*-90-iso10646-1
XTerm*font4: -misc-fixed-medium-r-*-*-18-*-*-*-*-80-iso10646-1
XTerm*font5: -misc-fixed-medium-r-*-*-20-*-*-*-*-100-iso10646-1
XTerm*font6: -xos4-terminus-medium-r-*-*-32-*-*-*-*-*-iso10646-1
XTerm*internalBorder: 1
XTerm*allowTitleOps: true
XTerm*maximized: true
XTerm*utf8Title: true
XTerm*scrollBar:      False
XTerm*saveLines:      2048
XTerm*rightScrollBar: True
XTerm*loginShell:     True

UXTerm*font: -misc-fixed-medium-r-*-*-13-*-*-*-*-60-iso10646-1
UXTerm*font1: -misc-fixed-medium-r-*-*-12-*-*-*-*-60-iso10646-1
UXTerm*font2: -misc-fixed-medium-r-*-*-14-*-*-*-*-70-iso10646-1
UXTerm*font3: -misc-fixed-medium-r-*-*-15-*-*-*-*-90-iso10646-1
UXTerm*font4: -misc-fixed-medium-r-*-*-18-*-*-*-*-80-iso10646-1
UXTerm*font5: -misc-fixed-medium-r-*-*-20-*-*-*-*-100-iso10646-1
UXTerm*font6: -xos4-terminus-medium-r-*-*-32-*-*-*-*-*-iso10646-1
UXTerm*internalBorder: 1
UXTerm*allowTitleOps: true
UXTerm*maximized: true
UXTerm*utf8Title: true
UXTerm*scrollBar:      False
UXTerm*saveLines:      2048
UXTerm*rightScrollBar: True
UXTerm*loginShell:     True

		Regards, Axel
-- 
Axel Beckert - abe@deuxchevaux.org, abe@noone.org - http://noone.org/abe/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541109; Package xterm. (Wed, 12 Aug 2009 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Clouter <alex@digriz.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 12 Aug 2009 10:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 541109@bugs.debian.org (full text, mbox):

From: Alexander Clouter <alex@digriz.org.uk>
To: 541109@bugs.debian.org
Subject: 'me too' but with wmii
Date: Wed, 12 Aug 2009 10:59:58 +0100
Hi,

I get redrawing issues with 244-1 too, downgrading to 243-1 fixes the 
issue for me.

Cheers

-- 
Alexander Clouter
.sigmonster says: L'hasard ne favorise que l'esprit prepare.
                  		-- L. Pasteur




Message sent on to Simon Richter <sjr@debian.org>:
Bug#541109. (Wed, 12 Aug 2009 20:09:06 GMT) Full text and rfc822 format available.

Message #18 received at 541109-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541160@bugs.debian.org
Cc: 541160-submitter@bugs.debian.org, 541132-submitter@bugs.debian.org, 541236-submitter@bugs.debian.org, 541109-submitter@bugs.debian.org
Subject: re: #541160 xterm: heap corruption when changing window size
Date: Wed, 12 Aug 2009 16:05:39 -0400
[Message part 1 (text/plain, inline)]
...just bad timing (I'm now looking to see the problem).  A short-term fix
should be to configure/build xterm using --disable-fifo-lines

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541109; Package xterm. (Wed, 12 Aug 2009 21:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 12 Aug 2009 21:12:02 GMT) Full text and rfc822 format available.

Message #23 received at 541109@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541109@bugs.debian.org
Cc: 541109-submitter@bugs.debian.org
Subject: re: #541109 with ratpoison, changing font makes terminal window unuseable
Date: Wed, 12 Aug 2009 17:10:07 -0400
[Message part 1 (text/plain, inline)]
I can reproduce the positioning error.  Resizing the fifo-lines required
splitting the logic into parts - seems that I missed a special case in
one of those parts, where the window size first grows, then shrinks before
adding text (something like that...).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Simon Richter <sjr@debian.org>:
Bug#541109. (Wed, 12 Aug 2009 21:12:04 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Wed, 12 Aug 2009 22:39:26 GMT) Full text and rfc822 format available.

Notification sent to Simon Richter <sjr@debian.org>:
Bug acknowledged by developer. (Wed, 12 Aug 2009 22:39:26 GMT) Full text and rfc822 format available.

Message #31 received at 541109-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 541109-close@bugs.debian.org
Subject: Bug#541109: fixed in xterm 244-2
Date: Wed, 12 Aug 2009 22:10:48 +0000
Source: xterm
Source-Version: 244-2

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_244-2.diff.gz
  to pool/main/x/xterm/xterm_244-2.diff.gz
xterm_244-2.dsc
  to pool/main/x/xterm/xterm_244-2.dsc
xterm_244-2_i386.deb
  to pool/main/x/xterm/xterm_244-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541109@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Aug 2009 22:25:16 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 244-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 541109 541132 541160 541236
Changes: 
 xterm (244-2) unstable; urgency=low
 .
   * Configure with --disable-fifo-lines to work around a crash in the new
     saved-lines handling code (closes: #541236, #541160, #541132, #541109).
     Thanks to Thomas Dickey for the workaround.
Checksums-Sha1: 
 c348379fba7126d8fa75b851ebcb1d5b466012d5 1339 xterm_244-2.dsc
 f9df25a257f7ea52eaa49f3db4404e30ab79fab1 73095 xterm_244-2.diff.gz
 676e9f54a470b162f9bf5c9fd256fb75b3b1fd07 495094 xterm_244-2_i386.deb
Checksums-Sha256: 
 d43e5912488ddafa81cb0e5bde04c861baa35920fd7d9f52ed7de327603d5c6f 1339 xterm_244-2.dsc
 900153967c5de4c153544cab734d8b87d5dce87b5f0b35e7e613e89271795cee 73095 xterm_244-2.diff.gz
 5bb330e5b862a6ca98f9c7f4ee4f2bbc26d21c9922c2d57ab5040ffddf0f8950 495094 xterm_244-2_i386.deb
Files: 
 48a1847692e0e85d7c1e0d56d126496f 1339 x11 optional xterm_244-2.dsc
 7562993a3b4b9757715f612d44435b02 73095 x11 optional xterm_244-2.diff.gz
 e85a0b155e6e5459a7b89320f394f75e 495094 x11 optional xterm_244-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqDKY4ACgkQmEvTgKxfcAwa1wCeJ++RoLUsWQGG9tup6ZS7UXoB
8O8AoK4e8Py1JUqXfRp+XoGVEOkr2S9Q
=OtTF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Sep 2009 07:39:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:15:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.